Skip to main content
POST
/
api
/
Contact
/
Query
/
FullContact
Query Contacts with Full Details
curl --request POST \
  --url https://api.virtuoussoftware.com/api/Contact/Query/FullContact \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "includeArchived": "<boolean>",
  "queryLocation": {
    "topLatitude": "<double>",
    "leftLongitude": "<double>",
    "bottomLatitude": "<double>",
    "rightLongitude": "<double>"
  },
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    },
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string>",
  "descending": "<boolean>"
}
'
{
  "list": [
    {
      "id": "<integer>",
      "contactType": "<string>",
      "isPrivate": "<boolean>",
      "name": "<string>",
      "informalName": "<string>",
      "description": "<string>",
      "website": "<string>",
      "maritalStatus": "<string>",
      "anniversaryMonth": "<integer>",
      "anniversaryDay": "<integer>",
      "anniversaryYear": "<integer>",
      "mergedIntoContactId": "<integer>",
      "address": {
        "id": "<integer>",
        "label": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal": "<string>",
        "country": "<string>",
        "isPrimary": "<boolean>",
        "canBePrimary": "<boolean>",
        "startMonth": "<integer>",
        "startDay": "<integer>",
        "endMonth": "<integer>",
        "endDay": "<integer>"
      },
      "giftAskAmount": "<string>",
      "giftAskType": "<string>",
      "lifeToDateGiving": "<string>",
      "yearToDateGiving": "<string>",
      "lastGiftAmount": "<string>",
      "lastGiftDate": "<string>",
      "contactIndividuals": [
        {
          "id": "<integer>",
          "contactId": "<integer>",
          "prefix": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "suffix": "<string>",
          "gender": "<string>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>",
          "isSecondary": "<boolean>",
          "canBeSecondary": "<boolean>",
          "birthMonth": "<integer>",
          "birthDay": "<integer>",
          "birthYear": "<integer>",
          "birthDate": "<string>",
          "approximateAge": "<integer>",
          "isDeceased": "<boolean>",
          "passion": "<string>",
          "avatarUrl": "<string>",
          "contactMethods": [
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            },
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            }
          ],
          "createDateTimeUtc": "<dateTime>",
          "modifiedDateTimeUtc": "<dateTime>",
          "customFields": [
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            }
          ],
          "customCollections": [
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            },
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            }
          ]
        },
        {
          "id": "<integer>",
          "contactId": "<integer>",
          "prefix": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "suffix": "<string>",
          "gender": "<string>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>",
          "isSecondary": "<boolean>",
          "canBeSecondary": "<boolean>",
          "birthMonth": "<integer>",
          "birthDay": "<integer>",
          "birthYear": "<integer>",
          "birthDate": "<string>",
          "approximateAge": "<integer>",
          "isDeceased": "<boolean>",
          "passion": "<string>",
          "avatarUrl": "<string>",
          "contactMethods": [
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            },
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            }
          ],
          "createDateTimeUtc": "<dateTime>",
          "modifiedDateTimeUtc": "<dateTime>",
          "customFields": [
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            }
          ],
          "customCollections": [
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            },
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            }
          ]
        }
      ],
      "contactGiftsUrl": "<string>",
      "contactPassthroughGiftsUrl": "<string>",
      "contactPlannedGiftsUrl": "<string>",
      "contactRecurringGiftsUrl": "<string>",
      "contactImportantNotesUrl": "<string>",
      "contactNotesUrl": "<string>",
      "contactTagsUrl": "<string>",
      "contactRelationshipsUrl": "<string>",
      "primaryAvatarUrl": "<string>",
      "contactReferences": [
        {
          "source": "<string>",
          "id": "<string>"
        },
        {
          "source": "<string>",
          "id": "<string>"
        }
      ],
      "originSegmentId": "<integer>",
      "originSegment": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "tags": [
        "<string>",
        "<string>"
      ],
      "organizationGroups": [
        "<string>",
        "<string>"
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ],
      "customCollections": [
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    },
    {
      "id": "<integer>",
      "contactType": "<string>",
      "isPrivate": "<boolean>",
      "name": "<string>",
      "informalName": "<string>",
      "description": "<string>",
      "website": "<string>",
      "maritalStatus": "<string>",
      "anniversaryMonth": "<integer>",
      "anniversaryDay": "<integer>",
      "anniversaryYear": "<integer>",
      "mergedIntoContactId": "<integer>",
      "address": {
        "id": "<integer>",
        "label": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal": "<string>",
        "country": "<string>",
        "isPrimary": "<boolean>",
        "canBePrimary": "<boolean>",
        "startMonth": "<integer>",
        "startDay": "<integer>",
        "endMonth": "<integer>",
        "endDay": "<integer>"
      },
      "giftAskAmount": "<string>",
      "giftAskType": "<string>",
      "lifeToDateGiving": "<string>",
      "yearToDateGiving": "<string>",
      "lastGiftAmount": "<string>",
      "lastGiftDate": "<string>",
      "contactIndividuals": [
        {
          "id": "<integer>",
          "contactId": "<integer>",
          "prefix": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "suffix": "<string>",
          "gender": "<string>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>",
          "isSecondary": "<boolean>",
          "canBeSecondary": "<boolean>",
          "birthMonth": "<integer>",
          "birthDay": "<integer>",
          "birthYear": "<integer>",
          "birthDate": "<string>",
          "approximateAge": "<integer>",
          "isDeceased": "<boolean>",
          "passion": "<string>",
          "avatarUrl": "<string>",
          "contactMethods": [
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            },
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            }
          ],
          "createDateTimeUtc": "<dateTime>",
          "modifiedDateTimeUtc": "<dateTime>",
          "customFields": [
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            }
          ],
          "customCollections": [
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            },
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            }
          ]
        },
        {
          "id": "<integer>",
          "contactId": "<integer>",
          "prefix": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "suffix": "<string>",
          "gender": "<string>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>",
          "isSecondary": "<boolean>",
          "canBeSecondary": "<boolean>",
          "birthMonth": "<integer>",
          "birthDay": "<integer>",
          "birthYear": "<integer>",
          "birthDate": "<string>",
          "approximateAge": "<integer>",
          "isDeceased": "<boolean>",
          "passion": "<string>",
          "avatarUrl": "<string>",
          "contactMethods": [
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            },
            {
              "id": "<integer>",
              "type": "<string>",
              "value": "<string>",
              "isOptedIn": "<boolean>",
              "isPrimary": "<boolean>",
              "canBePrimary": "<boolean>"
            }
          ],
          "createDateTimeUtc": "<dateTime>",
          "modifiedDateTimeUtc": "<dateTime>",
          "customFields": [
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>",
              "displayName": "<string>"
            }
          ],
          "customCollections": [
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            },
            {
              "customCollectionId": "<integer>",
              "customCollectionName": "<string>",
              "collectionInstanceId": "<integer>",
              "fields": [
                {
                  "name": "<string>",
                  "value": "<string>"
                },
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ]
            }
          ]
        }
      ],
      "contactGiftsUrl": "<string>",
      "contactPassthroughGiftsUrl": "<string>",
      "contactPlannedGiftsUrl": "<string>",
      "contactRecurringGiftsUrl": "<string>",
      "contactImportantNotesUrl": "<string>",
      "contactNotesUrl": "<string>",
      "contactTagsUrl": "<string>",
      "contactRelationshipsUrl": "<string>",
      "primaryAvatarUrl": "<string>",
      "contactReferences": [
        {
          "source": "<string>",
          "id": "<string>"
        },
        {
          "source": "<string>",
          "id": "<string>"
        }
      ],
      "originSegmentId": "<integer>",
      "originSegment": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "tags": [
        "<string>",
        "<string>"
      ],
      "organizationGroups": [
        "<string>",
        "<string>"
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ],
      "customCollections": [
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10. Max is 1000.

Body

application/json
includeArchived
string
queryLocation
object
groups
object[]
sortBy
string
descending
string

Response

OK

list
object[]
total
string
Last modified on April 24, 2026